summaryrefslogtreecommitdiffstats
path: root/gnome-base/gnome-libs
diff options
context:
space:
mode:
Diffstat (limited to 'gnome-base/gnome-libs')
-rw-r--r--gnome-base/gnome-libs/Makefile.am61
-rw-r--r--gnome-base/gnome-libs/Manifest15
-rw-r--r--gnome-base/gnome-libs/files/gnome-libs-1.4.2-ds-db.diff50
-rw-r--r--gnome-base/gnome-libs/files/gnome-libs-1.4.2-ds-gmodule.diff18
-rw-r--r--gnome-base/gnome-libs/files/gnome-libs-1.4.2-gcc4.patch13
-rw-r--r--gnome-base/gnome-libs/files/gnome-libs-1.4.2-gtkdoc_fixes.patch29
-rw-r--r--gnome-base/gnome-libs/files/gnome-libs-1.4.2-m4.patch9
-rw-r--r--gnome-base/gnome-libs/files/gnome-libs-1.4.2-ppc64.patch11
-rw-r--r--gnome-base/gnome-libs/files/gnome-libs-ds-gnorba.patch47
-rw-r--r--gnome-base/gnome-libs/files/gnome-png.diff33
-rw-r--r--gnome-base/gnome-libs/gnome-libs-1.4.2-r1.ebuild97
-rw-r--r--gnome-base/gnome-libs/gnome-libs-1.4.2-r2.ebuild98
-rw-r--r--gnome-base/gnome-libs/gnome-libs-1.4.2-r3.ebuild97
-rw-r--r--gnome-base/gnome-libs/gnome-libs-1.4.2-r4.ebuild99
-rw-r--r--gnome-base/gnome-libs/gnome-libs-1.4.2.ebuild94
15 files changed, 771 insertions, 0 deletions
diff --git a/gnome-base/gnome-libs/Makefile.am b/gnome-base/gnome-libs/Makefile.am
new file mode 100644
index 0000000..8ed545f
--- /dev/null
+++ b/gnome-base/gnome-libs/Makefile.am
@@ -0,0 +1,61 @@
+## Process this file with automake to produce Makefile.in.
+
+# Actually the earliest release that should be OK should be 1.2e, I think.
+# Still, 1.3 is the first "released" automake that is OK.
+AUTOMAKE_OPTIONS = 1.3
+
+bin_SCRIPTS = gnome-config gnome-bug
+
+if COMPILE_TEST_GNOME
+test_gnome = test-gnome test-suite
+else
+test_gnome =
+endif
+
+SUBDIRS = po intl support macros \
+ tools \
+ images \
+ libart_lgpl \
+ libgnome libgnomeui zvt \
+ libgnorba idl $(test_gnome) devel-docs gnome-data man
+
+gnomeincludedir=$(includedir)/gnome-1.0
+gnomeinclude_HEADERS = gnome.h
+
+EXTRA_DIST = HACKING gnomeConf.sh.in gnome-bug.in gnome-config.in \
+ gnome-libs.spec.in
+
+dist-hook: gnome-libs.spec
+ cp gnome-libs.spec $(distdir)
+
+release:
+ $(MAKE) dist distdir=$(PACKAGE)$(VERSION)
+
+## Put `exec' in the name because this should be installed by
+## `install-exec', not `install-data'.
+confexecdir=$(libdir)
+confexec_DATA=gnomeConf.sh
+
+## to automatically rebuild aclocal.m4 if any of the macros in
+## `macros/' change
+@MAINT@include macros/macros.dep
+@MAINT@macros/macros.dep: macros/Makefile.am
+@MAINT@ cd macros && $(MAKE) macros.dep
+
+## We create gnomeConf.sh here and not from configure because we want
+## to get the paths expanded correctly. Macros like srcdir are given
+## the value NONE in configure if the user doesn't specify them (this
+## is an autoconf feature, not a bug).
+gnomeConf.sh: gnomeConf.sh.in Makefile
+## Use sed and then mv to avoid problems if the user interrupts.
+ sed -e 's^\@GNOME_LIBDIR\@^$(GNOME_LIBDIR)^g' \
+ -e 's^\@GNOME_INCLUDEDIR\@^$(GNOME_INCLUDEDIR)^g' \
+ -e 's^\@GNOME_LIBS\@^$(GNOME_LIBS)^g' \
+ -e 's^\@GNOMEUI_LIBS\@^$(GNOMEUI_LIBS)^g' \
+ -e 's^\@GTKXMHTML_LIBS\@^$(GTKXMHTML_LIBS)^g' \
+ -e 's^\@GTK_CFLAGS\@^$(GTK_CFLAGS)^g' \
+ -e 's^\@need_gnome_support\@^$(need_gnome_support)^g' \
+ < $(srcdir)/gnomeConf.sh.in > gnomeConf.tmp \
+ && mv gnomeConf.tmp gnomeConf.sh
+
+CLEANFILES=gnomeConf.sh
diff --git a/gnome-base/gnome-libs/Manifest b/gnome-base/gnome-libs/Manifest
new file mode 100644
index 0000000..206f923
--- /dev/null
+++ b/gnome-base/gnome-libs/Manifest
@@ -0,0 +1,15 @@
+AUX gnome-libs-1.4.2-ds-db.diff 1563 SHA256 d4cecb2ab24a676fad35e6e63c6c5c39fcf69d6385017cc15df7a16bd6531edd SHA512 aeb620455f766c7fb4806d1263c973e206449d0c241329700175bce80ae30d1fd8ba0d8e1737c8de6171d16104c75ed39516c70991aca12a3f1815b7cf69a30e WHIRLPOOL 25a141a168d9772ed115fb86af8241ee174b94c1568a0945354dfe2cf07849b49003bdf45a388e04ce09f8bdd89973f1e1bd9cf8a7c193c736a79176817931bc
+AUX gnome-libs-1.4.2-ds-gmodule.diff 686 SHA256 238a478d9d4de8f441d18d6b922182ffa82dbe1baec5ae91d34f29e599985e70 SHA512 c90539e1b6e13004812f6a24208bdc590eb61ceef5a04d1d3c9b2b35247755a86854f9713b8799161e1baae2826b0d2b63bcf27e38c6de2f422232c6e344287b WHIRLPOOL e73b3c00a9237d9debeae26efcd984f95d5246cfa0336cbe3d63628748213fc9ef340c4c6e175584046b4e278e75ea424ab69181c2d5ce6f555d3aff68bb3a23
+AUX gnome-libs-1.4.2-gcc4.patch 507 SHA256 1d8846adb3cc6db63827ea4b4d1bdce7ec70ed0fd486809394d8950001705e11 SHA512 9322592df7db1fa125a21a37037253b2935abb5b3efd059fb0fa45f9f9575b5e00d4f7e2efe09eaf78c4e6e14d64a6b7cfe71cdd3728c114d82812e57f230cf8 WHIRLPOOL 6796506692de4e30c68502a86306d64cafe237f2e81ec8ed70f2a8e7cbae2006c64741542d12b5e5784e4ec67a0177425a2e3690bb3069f1d952b2c737c60af4
+AUX gnome-libs-1.4.2-gtkdoc_fixes.patch 1089 SHA256 15f30b0682e8c6a498a91e3afc613863de23cfc92501b97905d13831bd7206b8 SHA512 4f5d927c3cf954d5fc2882dd396225d610c5bf7bacb3d0c70cd57a1d10720c29561d943defa46ae9324d611ebdb7b561f853fdbcc794763ac34a4903ae2bfca2 WHIRLPOOL cebcaad49f738df9dbeb3f037c8f08521b1b416a51408b7271678a9725d101c83a83f38d9acd32c44c9088439effa9c246fbffa0f86dbc6399315dc17293420e
+AUX gnome-libs-1.4.2-m4.patch 274 SHA256 73ccbcb399ff1e847cd493b06b32d6941d4465624e741fd0f964d6afa6a1b0c5 SHA512 0f34d7a5819a1bbed98f379d4f991c0ec815fb5df1b6e9ab80337804f0c244791847e2e8b68a1c2575dff648c23b5e1f229a64302b09c6c0af491a67bfa60d6a WHIRLPOOL e259e9875a240b23aee45af53454647e77cc4ba7e8f3b19268f5a0fa2b2259d2f3f5f7a8de666a3a43c9c30ed941ea134b1e07f76cfc95337024072c60caa3e3
+AUX gnome-libs-1.4.2-ppc64.patch 475 SHA256 2f733fec123753ff5b214ea3032d4fde18664d9fde1fd5bdb640de5c42109dad SHA512 245a5d9cfaa4d85010c70b59ff429b99f943b4168f94f43f5e8321d55851011282c9a99d53b3bcf52b66287923ad259ca4bd8740f9735b017046103154c06b24 WHIRLPOOL 5c64b5a0d2c5fe0acabd64f03255e822817a83ce1ccc2f687f5ed40fd4773cb8c42e06901824618e6180cd3c9ccfbbbc59d8a67f0e18c6ddb0172d306b295cb7
+AUX gnome-libs-ds-gnorba.patch 1517 SHA256 bf0c10f1ed3e354b574df39a4348dc5665afdcefd151df5ed7b38e9aaa2ffdbd SHA512 c6001418c4448dcf1e0907ae310cd5f6de59dcbb79fc633eff04e5e51542dad585dae44cf5b909c99cfa1b9eabd8905e3cc8ac27bbade487425135d2fb2ac221 WHIRLPOOL a2ceecbd5cf6b0062e5906f9735b0daa763144f83931b55e97e2685e37b950db955ef1f69a59291fc5be3be5db5f06fca7f996d903e57f7b212d82b2246fa533
+AUX gnome-png.diff 1103 SHA256 6103a005189a469bbeaa9a804a3af922f8ba6d1e0558c79884112660bd5aa175 SHA512 6333bf85e0bc810f1b81f7e36fcf81bf60b80bbd3071ffb5440aeba9a951399832deea690043e368ed2839677104331d14112cc68a8999b865679a056e6d03f5 WHIRLPOOL 3b7ac7ddad30d311576a078b6894c720caddef7a72f0c31e148bd3f15568635393f9bfb2f97ff767750a1ed1bf38b0d961e5a0976ae9a60b7a62fc0f4836a81f
+DIST gnome-libs-1.4.2.tar.bz2 2875219 SHA256 84a7ff35e69341d5c297b633b3d64c01e7844e3b428f8926e823638911788c28 SHA512 f145a3707c0777a0f864f37935819a8425be8d2f5622ef8f514282840032902c03a3a9ea6e9fc82a83f1302f6a400d74aefb3b6ba503f846c02e2ec699e5d3ef WHIRLPOOL 849d16427b79d6c8de709ac5c76430948d33688b13d12fef89b38841ec6baaed78113b14768cc4f3547be3ec3d7835f6e488103d3afe0f35da275fb474775f51
+EBUILD gnome-libs-1.4.2-r1.ebuild 2523 SHA256 42a5d96b2a6ef76a5a4ee6bb18cffc661aa019880a313559e81e5a757d200835 SHA512 9d294a9189541ca3b513c03ef454565608287424a751d8fde8ea1bf89e9dafd859fe6aff2f95bbce1cf5820328283b9766bc18737bdae94677f7a6cea2492f32 WHIRLPOOL ed00404b303e5fe365086580459b2d8d2b2b5f7d77f226f0d64da0d4d20b680129c6f50ccbd3f6a6c3eb50f10b79fe66d1e10a4ff30edacccc172ab133f3ba31
+EBUILD gnome-libs-1.4.2-r2.ebuild 2560 SHA256 62f836d970cbc195f3473b86cd15a4c5a5e389a84c2a25b2d354a9df15644d9e SHA512 575e7370c211d6d2c3044dc4559bef4d5604f0d7a70c45e91412fdb7ac47d70a4974e4f4cf695142d091bdbe042652c852a32543ef267e3040e6a1e4748e923c WHIRLPOOL 7d604e08c237b0089e4be06dcc3efdec06319f8b2aad44db8344ac821b9b7b2811ca07cea01a4906ddea396d0bd6584feafbe18ec2f93790f36d6b4e1d0cf1b7
+EBUILD gnome-libs-1.4.2-r3.ebuild 2550 SHA256 1c69ffef5186c9333ac18eb35e0c9f5993878214baada209d5be84f310fec000 SHA512 587860d5793236d80c312977069168d9c74d2474450e1b0c4bfd3d12d7ae9a81c7d34c070dcc3113a0e6aa1cb7a8e65dbb9cee37fa454de4f536f59fb691775f WHIRLPOOL 9c64970b048c8770674b79b1b6a3cac7538e8dd8450f2219e95501f57c174eb818dc42e4be49f814661f1f3855a36ab6d3d3dd8b0c56d4e1c7a6302c719f41a7
+EBUILD gnome-libs-1.4.2-r4.ebuild 2556 SHA256 46533f721cc284da6888cd93de859615a08d0c0bd8a9ce27234ec298d625c520 SHA512 4c575336e84249396134e6a2a27149071c0a560a8f8a27dd996cbe24b1b049e7a6bfe1b005a4d971fdf33443ff73452795a845910b7fcf6251c90e1b1603f510 WHIRLPOOL bd12a69f49ce7c547a7681c3cb75bc7b9de19ac61ee372d765750809f876308c22f358829247de51116aaf6b114be0e32daf4cd6da15696577e20a21ab95657c
+EBUILD gnome-libs-1.4.2.ebuild 2416 SHA256 e4d3b324b9ff15512a2b7ece2a22ab968d6bd95c2f3d92d392dd82af6803188b SHA512 97d2ccf397e513fd7bcb936c65c926e54e37e4ccde9ee983c966f66d55480193e123914fec2556ee0721b7c3406bcd885bf621d332050100572d70adb26c39be WHIRLPOOL 1a746d9db04ff086488a218b3116be7340b1bab6c0fc87c887e3c1aa8141460a6f6985ba752aeabd8a37a054108516d485e714b92f2530b0d90e101c3183462d
+MISC Makefile.am 1949 SHA256 05f15223ba9ecf8a3f6ed6fa9da4026d49d4afc1ba464d0210dc9398a3cb74b8 SHA512 d5f995bd6bf0b4066a205b0b9a081fb7fc91aee5e116e23f22ba0847b4c7f71612a883020e63591c70714fef92bed9fd8d9171574a2b8a41cef1e736c419ca72 WHIRLPOOL 20c82bdfbc0ceb5b5e7bae2b32bcaa9779183c5a1e83e633cf8a41356c684cdb8c8521d76ada72170e2ff5de0bcbc560e7b1f836c7a18f65f748851fef988d1e
diff --git a/gnome-base/gnome-libs/files/gnome-libs-1.4.2-ds-db.diff b/gnome-base/gnome-libs/files/gnome-libs-1.4.2-ds-db.diff
new file mode 100644
index 0000000..0d37625
--- /dev/null
+++ b/gnome-base/gnome-libs/files/gnome-libs-1.4.2-ds-db.diff
@@ -0,0 +1,50 @@
+diff -dPNur gnome-libs-1.4.2/configure.in gnome-libs-1.4.2-ds/configure.in
+--- gnome-libs-1.4.2/configure.in 2012-01-15 00:48:44.000000000 +0100
++++ gnome-libs-1.4.2-ds/configure.in 2012-01-15 00:46:27.000000000 +0100
+@@ -305,43 +305,20 @@
+ dnl
+ DB_LIB=
+ AC_CHECK_FUNC(dbopen, [],
+-if test "$prefer_db1" = "yes"; then
+- AC_CHECK_LIB(db1, dbopen, DB_LIB="-ldb1",
+- AC_CHECK_LIB(db, dbopen, DB_LIB="-ldb",
+- AC_CHECK_LIB(db-3, __db185_open, DB_LIB="-ldb-3",
+- AC_CHECK_LIB(db-4, __db185_open, DB_LIB="-ldb-4",
+- AC_MSG_ERROR([Your db library is missing db 1.85 compatibility mode])
+- )
+- )
+- )
+- )
+-else
+ AC_CHECK_LIB(db, dbopen, DB_LIB="-ldb",
+- AC_CHECK_LIB(db1, dbopen, DB_LIB="-ldb1",
++# AC_CHECK_LIB(db1, dbopen, DB_LIB="-ldb1",
+ AC_CHECK_LIB(db-3, __db185_open, DB_LIB="-ldb-3",
+ AC_CHECK_LIB(db-4, __db185_open, DB_LIB="-ldb-4",
+ AC_MSG_ERROR([Your db library is missing db 1.85 compatibility mode])
+ )
+ )
+ )
+- )
+-fi
++# )
+ )
+
+ dnl look for db headers
+-if test "$prefer_db1" = "yes"; then
+- AC_CHECK_HEADERS(db_185.h db1/db.h)
+- if test "$ac_cv_header_db_185_h$ac_cv_header_db1_db_h" = nono; then
+- AC_MSG_ERROR([Berkeley db library required for Gnome])
+- fi
+- AC_DEFINE(PREFER_DB1)
+-else
+- AC_CHECK_HEADERS(db.h db_185.h db1/db.h)
++AC_CHECK_HEADERS(db.h db_185.h db1/db.h)
+
+- if test "$ac_cv_header_db_h$ac_cv_header_db_185_h$ac_cv_header_db1_db_h" = nonono; then
+- AC_MSG_ERROR([Berkeley db library required for Gnome])
+- fi
+-fi
+
+ dnl
+ dnl This is needed for the gnome-moz-remote program. It doesn't use GDK,
diff --git a/gnome-base/gnome-libs/files/gnome-libs-1.4.2-ds-gmodule.diff b/gnome-base/gnome-libs/files/gnome-libs-1.4.2-ds-gmodule.diff
new file mode 100644
index 0000000..e237412
--- /dev/null
+++ b/gnome-base/gnome-libs/files/gnome-libs-1.4.2-ds-gmodule.diff
@@ -0,0 +1,18 @@
+diff -dPNur gnome-libs-1.4.2/configure.in gnome-libs-1.4.2-ds/configure.in
+--- gnome-libs-1.4.2/configure.in 2012-01-15 00:30:56.000000000 +0100
++++ gnome-libs-1.4.2-ds/configure.in 2012-01-15 00:27:53.000000000 +0100
+@@ -119,13 +119,7 @@
+ AC_CACHE_CHECK([for gmodule support], ac_cv_gmodule,[
+ save_LDFLAGS="$LDFLAGS"
+ LDFLAGS="$LDFLAGS `glib-config --libs gmodule`"
+- AC_TRY_RUN([
+-#include <gmodule.h>
+-
+-int main()
+-{
+- return g_module_supported() == 0;
+-}],ac_cv_gmodule=yes,ac_cv_gmodule=no,ac_cv_gmodule=yes)
++ ac_cv_gmodule=yes
+ LDFLAGS="$save_LDFLAGS"])
+ if test $ac_cv_gmodule = no; then
+ AC_MSG_ERROR([Dynamic linking is not available on this platform. Some apps,
diff --git a/gnome-base/gnome-libs/files/gnome-libs-1.4.2-gcc4.patch b/gnome-base/gnome-libs/files/gnome-libs-1.4.2-gcc4.patch
new file mode 100644
index 0000000..e9d3625
--- /dev/null
+++ b/gnome-base/gnome-libs/files/gnome-libs-1.4.2-gcc4.patch
@@ -0,0 +1,13 @@
+diff -urN ../tmp-orig/gnome-libs-1.4.2/gtk-xmhtml/XmHTMLI.h ./gtk-xmhtml/XmHTMLI.h
+--- src/gtk-xmhtml/XmHTMLI.h 1999-07-29 03:26:28.000000000 +0200
++++ new/gtk-xmhtml/XmHTMLI.h 2004-12-22 18:02:43.408331024 +0100
+@@ -1058,9 +1058,6 @@
+ #include "gtk-xmhtml-p.h"
+
+ void gtk_xmhtml_set_outline (GtkXmHTML *html, int flag);
+-void my_x_query_colors(GdkColormap *colormap,
+- GdkColor *colors,
+- gint ncolors);
+ void
+ gtk_xmhtml_set_colors (GtkXmHTML *html,
+ Pixel foreground,
diff --git a/gnome-base/gnome-libs/files/gnome-libs-1.4.2-gtkdoc_fixes.patch b/gnome-base/gnome-libs/files/gnome-libs-1.4.2-gtkdoc_fixes.patch
new file mode 100644
index 0000000..b3d2517
--- /dev/null
+++ b/gnome-base/gnome-libs/files/gnome-libs-1.4.2-gtkdoc_fixes.patch
@@ -0,0 +1,29 @@
+diff -NurB gnome-libs-1.4.2-orig/libart_lgpl/doc/libart.sgml gnome-libs-1.4.2/libart_lgpl/doc/libart.sgml
+--- gnome-libs-1.4.2-orig/libart_lgpl/doc/libart.sgml 2004-04-03 13:41:19.000000000 -0500
++++ gnome-libs-1.4.2/libart_lgpl/doc/libart.sgml 2004-04-03 13:47:44.000000000 -0500
+@@ -1,5 +1,4 @@
+ <!doctype book PUBLIC "-//Davenport//DTD DocBook V3.0//EN" [
+-<!entity FDL SYSTEM "fdl.sgml">
+ <!entity art-construction-core SYSTEM "sgml/art_construction_core.sgml">
+ <!entity art-construction-extended SYSTEM "sgml/art_construction_extended.sgml">
+ <!entity art-construction-trans SYSTEM "sgml/art_construction_trans.sgml">
+@@ -848,7 +847,6 @@
+ </chapter>
+
+
+- &FDL;
+
+
+ </book>
+diff -NurB gnome-libs-1.4.2-orig/libart_lgpl/doc/tmpl/art_svp.sgml gnome-libs-1.4.2/libart_lgpl/doc/tmpl/art_svp.sgml
+--- gnome-libs-1.4.2-orig/libart_lgpl/doc/tmpl/art_svp.sgml 2004-04-03 13:41:19.000000000 -0500
++++ gnome-libs-1.4.2/libart_lgpl/doc/tmpl/art_svp.sgml 2004-04-03 13:48:03.000000000 -0500
+@@ -33,8 +33,6 @@
+ </figure>
+ </para>
+
+-<para>
+-
+ <!-- ##### SECTION See_Also ##### -->
+ <para>
+
diff --git a/gnome-base/gnome-libs/files/gnome-libs-1.4.2-m4.patch b/gnome-base/gnome-libs/files/gnome-libs-1.4.2-m4.patch
new file mode 100644
index 0000000..348e9fd
--- /dev/null
+++ b/gnome-base/gnome-libs/files/gnome-libs-1.4.2-m4.patch
@@ -0,0 +1,9 @@
+Fix aclocal warning:
+/usr/share/aclocal/libart.m4:11: warning: underquoted definition of AM_PATH_LIBART
+--- gnome-libs-1.4.2/libart_lgpl/libart.m4
++++ gnome-libs-1.4.2/libart_lgpl/libart.m4
+@@ -10,3 +10,3 @@
+ dnl
+-AC_DEFUN(AM_PATH_LIBART,
++AC_DEFUN([AM_PATH_LIBART],
+ [dnl
diff --git a/gnome-base/gnome-libs/files/gnome-libs-1.4.2-ppc64.patch b/gnome-base/gnome-libs/files/gnome-libs-1.4.2-ppc64.patch
new file mode 100644
index 0000000..36ca703
--- /dev/null
+++ b/gnome-base/gnome-libs/files/gnome-libs-1.4.2-ppc64.patch
@@ -0,0 +1,11 @@
+diff -ur gnome-libs-1.4.2-orig/configure.in gnome-libs-1.4.2/configure.in
+--- gnome-libs-1.4.2-orig/configure.in 2006-01-16 03:30:34.000000000 +0000
++++ gnome-libs-1.4.2/configure.in 2006-01-16 03:34:06.000000000 +0000
+@@ -304,7 +304,6 @@
+ AC_CHECK_FUNCS(strdup)
+ AC_CHECK_HEADERS(utime.h)
+ AC_FUNC_MMAP
+-AC_CHECK_TYPE(umode_t, int)
+
+ AC_ARG_ENABLE(prefer-db1, [ --enable-prefer-db1 Prefer Berkeley DB 1.x] [default=no]],[prefer_db1="$enableval"],[prefer_db1=no])
+ dnl
diff --git a/gnome-base/gnome-libs/files/gnome-libs-ds-gnorba.patch b/gnome-base/gnome-libs/files/gnome-libs-ds-gnorba.patch
new file mode 100644
index 0000000..43318f1
--- /dev/null
+++ b/gnome-base/gnome-libs/files/gnome-libs-ds-gnorba.patch
@@ -0,0 +1,47 @@
+diff -dPNur gnome-libs-1.4.2/configure.in gnome-libs-1.4.2-ds/configure.in
+--- gnome-libs-1.4.2/configure.in 2002-08-16 00:24:36.000000000 +0200
++++ gnome-libs-1.4.2-ds/configure.in 2012-11-17 09:09:13.000000000 +0100
+@@ -401,7 +371,7 @@
+ dnl
+ dnl ORBit checks
+ dnl
+-GNOME_ORBIT_CHECK
++#GNOME_ORBIT_CHECK
+
+ dnl
+ dnl test-gnome
+diff -dPNur gnome-libs-1.4.2/Makefile.am gnome-libs-1.4.2-ds/Makefile.am
+--- gnome-libs-1.4.2/Makefile.am 2001-09-19 21:03:19.000000000 +0200
++++ gnome-libs-1.4.2-ds/Makefile.am 2012-11-17 09:16:52.000000000 +0100
+@@ -16,8 +16,8 @@
+ tools \
+ images \
+ libart_lgpl \
+- libgnome libgnomeui gtk-xmhtml zvt \
+- libgnorba idl $(test_gnome) devel-docs gnome-data man
++ libgnome libgnomeui
++# zvt libgnorba idl $(test_gnome) devel-docs gnome-data man
+
+ gnomeincludedir=$(includedir)/gnome-1.0
+ gnomeinclude_HEADERS = gnome.h
+diff -dPNur gnome-libs-1.4.2/tools/convertrgb/loadpng.c gnome-libs-1.4.2-png/tools/convertrgb/loadpng.c
+--- gnome-libs-1.4.2/tools/convertrgb/loadpng.c 1998-09-25 17:33:59.000000000 +0200
++++ gnome-libs-1.4.2-png/tools/convertrgb/loadpng.c 2012-11-16 12:58:48.000000000 +0100
+@@ -29,7 +29,7 @@
+ return NULL;
+ }
+
+- if (setjmp(png_ptr->jmpbuf))
++/* if (setjmp(png_ptr->jmpbuf))
+ {
+ png_destroy_read_struct(&png_ptr, &info_ptr, NULL);
+ return NULL;
+@@ -39,7 +39,7 @@
+ {
+ png_destroy_read_struct(&png_ptr, &info_ptr, NULL);
+ return NULL;
+- }
++ }*/
+ png_init_io(png_ptr, f);
+ /* Read Header */
+ png_read_info(png_ptr, info_ptr);
diff --git a/gnome-base/gnome-libs/files/gnome-png.diff b/gnome-base/gnome-libs/files/gnome-png.diff
new file mode 100644
index 0000000..cf9cc2b
--- /dev/null
+++ b/gnome-base/gnome-libs/files/gnome-png.diff
@@ -0,0 +1,33 @@
+diff -dPNur gnome-libs-1.4.2/Makefile.am gnome-libs-1.4.2-png/Makefile.am
+--- gnome-libs-1.4.2/Makefile.am 2001-09-19 21:03:19.000000000 +0200
++++ gnome-libs-1.4.2-png/Makefile.am 2012-11-16 14:18:30.000000000 +0100
+@@ -16,7 +16,7 @@
+ tools \
+ images \
+ libart_lgpl \
+- libgnome libgnomeui gtk-xmhtml zvt \
++ libgnome libgnomeui zvt \
+ libgnorba idl $(test_gnome) devel-docs gnome-data man
+
+ gnomeincludedir=$(includedir)/gnome-1.0
+diff -dPNur gnome-libs-1.4.2/tools/convertrgb/loadpng.c gnome-libs-1.4.2-png/tools/convertrgb/loadpng.c
+--- gnome-libs-1.4.2/tools/convertrgb/loadpng.c 1998-09-25 17:33:59.000000000 +0200
++++ gnome-libs-1.4.2-png/tools/convertrgb/loadpng.c 2012-11-16 12:58:48.000000000 +0100
+@@ -29,7 +29,7 @@
+ return NULL;
+ }
+
+- if (setjmp(png_ptr->jmpbuf))
++/* if (setjmp(png_ptr->jmpbuf))
+ {
+ png_destroy_read_struct(&png_ptr, &info_ptr, NULL);
+ return NULL;
+@@ -39,7 +39,7 @@
+ {
+ png_destroy_read_struct(&png_ptr, &info_ptr, NULL);
+ return NULL;
+- }
++ }*/
+ png_init_io(png_ptr, f);
+ /* Read Header */
+ png_read_info(png_ptr, info_ptr);
diff --git a/gnome-base/gnome-libs/gnome-libs-1.4.2-r1.ebuild b/gnome-base/gnome-libs/gnome-libs-1.4.2-r1.ebuild
new file mode 100644
index 0000000..47c733a
--- /dev/null
+++ b/gnome-base/gnome-libs/gnome-libs-1.4.2-r1.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/gnome-base/gnome-libs/gnome-libs-1.4.2.ebuild,v 1.33 2006/07/05 05:36:12 vapier Exp $
+
+inherit eutils libtool multilib autotools flag-o-matic
+
+DESCRIPTION="GNOME Core Libraries"
+HOMEPAGE="http://www.gnome.org/"
+SRC_URI="ftp://ftp.gnome.org/pub/GNOME/sources/${PN}/1.4/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="1"
+KEYWORDS="alpha amd64 arm hppa ia64 mips ppc ppc64 sh sparc x86"
+IUSE="doc esd nls kde"
+
+RDEPEND=">=media-libs/imlib-1.9.10
+ esd? ( >=media-sound/esound-0.2.23 )
+ =gnome-base/orbit-0*
+ =x11-libs/gtk+-1.2*
+ =sys-devel/automake-1.4*
+ =sys-devel/autoconf-2.13*
+ <=sys-libs/db-2
+ doc? ( app-text/docbook-sgml
+ dev-util/gtk-doc )"
+DEPEND="${RDEPEND}
+ nls? ( >=sys-devel/gettext-0.10.40
+ >=dev-util/intltool-0.11 )"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}"/${P}-m4.patch
+ # Correct problems with documentation. See bug #44439.
+ epatch "${FILESDIR}"/${P}-gtkdoc_fixes.patch
+ # Fix compilation with GCC4 ; bug #94321
+ epatch "${FILESDIR}"/${P}-gcc4.patch
+ # Fix compilation with GCC4 on ppc64 ; bug #117750
+ epatch "${FILESDIR}"/${P}-ppc64.patch
+
+ epatch "${FILESDIR}"/gnome-libs-1.4.2-ds-gmodule.diff
+ epatch "${FILESDIR}"/gnome-libs-1.4.2-ds-db.diff
+
+ aclocal-1.4
+ automake-1.4
+ autoconf-2.13 || die
+}
+
+src_compile() {
+ append-flags -I/usr/include/db1
+
+ local myconf
+
+ use nls || myconf="${myconf} --disable-nls"
+ use kde && myconf="${myconf} --with-kde-datadir=/usr/share"
+ use doc || myconf="${myconf} --disable-gtk-doc"
+ use esd || export ESD_CONFIG=no
+
+ # libtoolize
+ elibtoolize
+
+ ./configure --host=${CHOST} \
+ --prefix=/usr \
+ --libdir=/usr/$(get_libdir) \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --enable-prefer-db1 \
+ ${myconf} || die
+
+ # gnome-libs does not like parallel building, bug #117644
+ emake -j1 || die
+
+ # do the docs (maby add a use variable or put in seperate
+ # ebuild since it is mostly developer docs?)
+ if use doc ; then
+ cd "${S}"/devel-docs
+ emake || die
+ cd "${S}"
+ fi
+}
+
+src_install() {
+ make prefix="${D}"/usr \
+ libdir="${D}"/usr/$(get_libdir) \
+ mandir="${D}"/usr/share/man \
+ infodir="${D}"/usr/share/info \
+ sysconfdir="${D}"/etc \
+ localstatedir="${D}"/var/lib \
+ docdir="${D}"/usr/share/doc/${PF} \
+ HTML_DIR="${D}"/usr/share/gnome/html \
+ install || die
+
+ rm "${D}"/usr/share/gtkrc*
+
+ dodoc AUTHORS ChangeLog README NEWS HACKING
+}
diff --git a/gnome-base/gnome-libs/gnome-libs-1.4.2-r2.ebuild b/gnome-base/gnome-libs/gnome-libs-1.4.2-r2.ebuild
new file mode 100644
index 0000000..b16a0f3
--- /dev/null
+++ b/gnome-base/gnome-libs/gnome-libs-1.4.2-r2.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/gnome-base/gnome-libs/gnome-libs-1.4.2.ebuild,v 1.33 2006/07/05 05:36:12 vapier Exp $
+
+inherit eutils libtool multilib autotools flag-o-matic
+
+DESCRIPTION="GNOME Core Libraries"
+HOMEPAGE="http://www.gnome.org/"
+SRC_URI="ftp://ftp.gnome.org/pub/GNOME/sources/${PN}/1.4/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="1"
+KEYWORDS="alpha amd64 arm hppa ia64 mips ppc ppc64 sh sparc x86"
+IUSE="doc esd nls kde"
+
+RDEPEND=">=media-libs/imlib-1.9.10
+ esd? ( >=media-sound/esound-0.2.23 )
+ =gnome-base/orbit-0*
+ =x11-libs/gtk+-1.2*
+ =sys-devel/automake-1.4*
+ =sys-devel/autoconf-2.13*
+ <=sys-libs/db-2
+ doc? ( app-text/docbook-sgml
+ dev-util/gtk-doc )"
+DEPEND="${RDEPEND}
+ nls? ( >=sys-devel/gettext-0.10.40
+ >=dev-util/intltool-0.11 )"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}"/${P}-m4.patch
+ # Correct problems with documentation. See bug #44439.
+ epatch "${FILESDIR}"/${P}-gtkdoc_fixes.patch
+ # Fix compilation with GCC4 ; bug #94321
+ epatch "${FILESDIR}"/${P}-gcc4.patch
+ # Fix compilation with GCC4 on ppc64 ; bug #117750
+ epatch "${FILESDIR}"/${P}-ppc64.patch
+
+ epatch "${FILESDIR}"/gnome-libs-1.4.2-ds-gmodule.diff
+ epatch "${FILESDIR}"/gnome-libs-1.4.2-ds-db.diff
+ epatch "${FILESDIR}"/gnome-png.diff
+
+ aclocal-1.4
+ automake-1.4
+ autoconf-2.13 || die
+}
+
+src_compile() {
+ append-flags -I/usr/include/db1
+
+ local myconf
+
+ use nls || myconf="${myconf} --disable-nls"
+ use kde && myconf="${myconf} --with-kde-datadir=/usr/share"
+ use doc || myconf="${myconf} --disable-gtk-doc"
+ use esd || export ESD_CONFIG=no
+
+ # libtoolize
+ elibtoolize
+
+ ./configure --host=${CHOST} \
+ --prefix=/usr \
+ --libdir=/usr/$(get_libdir) \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --enable-prefer-db1 \
+ ${myconf} || die
+
+ # gnome-libs does not like parallel building, bug #117644
+ emake -j1 || die
+
+ # do the docs (maby add a use variable or put in seperate
+ # ebuild since it is mostly developer docs?)
+ if use doc ; then
+ cd "${S}"/devel-docs
+ emake || die
+ cd "${S}"
+ fi
+}
+
+src_install() {
+ make prefix="${D}"/usr \
+ libdir="${D}"/usr/$(get_libdir) \
+ mandir="${D}"/usr/share/man \
+ infodir="${D}"/usr/share/info \
+ sysconfdir="${D}"/etc \
+ localstatedir="${D}"/var/lib \
+ docdir="${D}"/usr/share/doc/${PF} \
+ HTML_DIR="${D}"/usr/share/gnome/html \
+ install || die
+
+ rm "${D}"/usr/share/gtkrc*
+
+ dodoc AUTHORS ChangeLog README NEWS HACKING
+}
diff --git a/gnome-base/gnome-libs/gnome-libs-1.4.2-r3.ebuild b/gnome-base/gnome-libs/gnome-libs-1.4.2-r3.ebuild
new file mode 100644
index 0000000..5d9006e
--- /dev/null
+++ b/gnome-base/gnome-libs/gnome-libs-1.4.2-r3.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/gnome-base/gnome-libs/gnome-libs-1.4.2.ebuild,v 1.33 2006/07/05 05:36:12 vapier Exp $
+
+inherit eutils libtool multilib autotools flag-o-matic
+
+DESCRIPTION="GNOME Core Libraries"
+HOMEPAGE="http://www.gnome.org/"
+SRC_URI="ftp://ftp.gnome.org/pub/GNOME/sources/${PN}/1.4/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="1"
+KEYWORDS="alpha amd64 arm hppa ia64 mips ppc ppc64 sh sparc x86"
+IUSE="doc esd nls kde"
+
+RDEPEND=">=media-libs/imlib-1.9.10
+ esd? ( >=media-sound/esound-0.2.23 )
+ =x11-libs/gtk+-1.2*
+ =sys-devel/automake-1.4*
+ =sys-devel/autoconf-2.13*
+ <=sys-libs/db-2
+ doc? ( app-text/docbook-sgml
+ dev-util/gtk-doc )"
+DEPEND="${RDEPEND}
+ nls? ( >=sys-devel/gettext-0.10.40
+ >=dev-util/intltool-0.11 )"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}"/${P}-m4.patch
+ # Correct problems with documentation. See bug #44439.
+ epatch "${FILESDIR}"/${P}-gtkdoc_fixes.patch
+ # Fix compilation with GCC4 ; bug #94321
+ epatch "${FILESDIR}"/${P}-gcc4.patch
+ # Fix compilation with GCC4 on ppc64 ; bug #117750
+ epatch "${FILESDIR}"/${P}-ppc64.patch
+
+ epatch "${FILESDIR}"/gnome-libs-1.4.2-ds-gmodule.diff
+ epatch "${FILESDIR}"/gnome-libs-1.4.2-ds-db.diff
+ epatch "${FILESDIR}"/gnome-libs-ds-gnorba.patch
+
+ aclocal-1.4
+ automake-1.4
+ autoconf-2.13 || die
+}
+
+src_compile() {
+ append-flags -I/usr/include/db1
+
+ local myconf
+
+ use nls || myconf="${myconf} --disable-nls"
+ use kde && myconf="${myconf} --with-kde-datadir=/usr/share"
+ use doc || myconf="${myconf} --disable-gtk-doc"
+ use esd || export ESD_CONFIG=no
+
+ # libtoolize
+ elibtoolize
+
+ ./configure --host=${CHOST} \
+ --prefix=/usr \
+ --libdir=/usr/$(get_libdir) \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --enable-prefer-db1 \
+ ${myconf} || die
+
+ # gnome-libs does not like parallel building, bug #117644
+ emake -j1 || die
+
+ # do the docs (maby add a use variable or put in seperate
+ # ebuild since it is mostly developer docs?)
+ if use doc ; then
+ cd "${S}"/devel-docs
+ emake || die
+ cd "${S}"
+ fi
+}
+
+src_install() {
+ make prefix="${D}"/usr \
+ libdir="${D}"/usr/$(get_libdir) \
+ mandir="${D}"/usr/share/man \
+ infodir="${D}"/usr/share/info \
+ sysconfdir="${D}"/etc \
+ localstatedir="${D}"/var/lib \
+ docdir="${D}"/usr/share/doc/${PF} \
+ HTML_DIR="${D}"/usr/share/gnome/html \
+ install || die
+
+ rm "${D}"/usr/share/gtkrc*
+
+ dodoc AUTHORS ChangeLog README NEWS HACKING
+}
diff --git a/gnome-base/gnome-libs/gnome-libs-1.4.2-r4.ebuild b/gnome-base/gnome-libs/gnome-libs-1.4.2-r4.ebuild
new file mode 100644
index 0000000..e35f3b4
--- /dev/null
+++ b/gnome-base/gnome-libs/gnome-libs-1.4.2-r4.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/gnome-base/gnome-libs/gnome-libs-1.4.2.ebuild,v 1.33 2006/07/05 05:36:12 vapier Exp $
+
+EAPI=5
+
+inherit eutils libtool multilib autotools flag-o-matic
+
+DESCRIPTION="GNOME Core Libraries"
+HOMEPAGE="http://www.gnome.org/"
+SRC_URI="ftp://ftp.gnome.org/pub/GNOME/sources/${PN}/1.4/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="1"
+KEYWORDS="alpha amd64 arm hppa ia64 mips ppc ppc64 sh sparc x86"
+IUSE="doc esd nls kde"
+
+RDEPEND=">=media-libs/imlib-1.9.10
+ esd? ( >=media-sound/esound-0.2.23 )
+ =x11-libs/gtk+-1.2*
+ =sys-devel/automake-1.4*
+ =sys-devel/autoconf-2.13*
+ sys-libs/db:3
+ doc? ( app-text/docbook-sgml
+ dev-util/gtk-doc )"
+DEPEND="${RDEPEND}
+ nls? ( >=sys-devel/gettext-0.10.40
+ >=dev-util/intltool-0.11 )"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}"/${P}-m4.patch
+ # Correct problems with documentation. See bug #44439.
+ epatch "${FILESDIR}"/${P}-gtkdoc_fixes.patch
+ # Fix compilation with GCC4 ; bug #94321
+ epatch "${FILESDIR}"/${P}-gcc4.patch
+ # Fix compilation with GCC4 on ppc64 ; bug #117750
+ epatch "${FILESDIR}"/${P}-ppc64.patch
+
+ epatch "${FILESDIR}"/gnome-libs-1.4.2-ds-gmodule.diff
+ epatch "${FILESDIR}"/gnome-libs-1.4.2-ds-db.diff
+ epatch "${FILESDIR}"/gnome-libs-ds-gnorba.patch
+
+ aclocal-1.4
+ automake-1.4
+ autoconf-2.13 || die
+}
+
+src_compile() {
+ append-flags -I/usr/include/db1
+
+ local myconf
+
+ use nls || myconf="${myconf} --disable-nls"
+ use kde && myconf="${myconf} --with-kde-datadir=/usr/share"
+ use doc || myconf="${myconf} --disable-gtk-doc"
+ use esd || export ESD_CONFIG=no
+
+ # libtoolize
+ elibtoolize
+
+ ./configure --host=${CHOST} \
+ --prefix=/usr \
+ --libdir=/usr/$(get_libdir) \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --enable-prefer-db1 \
+ ${myconf} || die
+
+ # gnome-libs does not like parallel building, bug #117644
+ emake -j1 || die
+
+ # do the docs (maby add a use variable or put in seperate
+ # ebuild since it is mostly developer docs?)
+ if use doc ; then
+ cd "${S}"/devel-docs
+ emake || die
+ cd "${S}"
+ fi
+}
+
+src_install() {
+ make prefix="${D}"/usr \
+ libdir="${D}"/usr/$(get_libdir) \
+ mandir="${D}"/usr/share/man \
+ infodir="${D}"/usr/share/info \
+ sysconfdir="${D}"/etc \
+ localstatedir="${D}"/var/lib \
+ docdir="${D}"/usr/share/doc/${PF} \
+ HTML_DIR="${D}"/usr/share/gnome/html \
+ install || die
+
+ rm "${D}"/usr/share/gtkrc*
+
+ dodoc AUTHORS ChangeLog README NEWS HACKING
+}
diff --git a/gnome-base/gnome-libs/gnome-libs-1.4.2.ebuild b/gnome-base/gnome-libs/gnome-libs-1.4.2.ebuild
new file mode 100644
index 0000000..fdedaa1
--- /dev/null
+++ b/gnome-base/gnome-libs/gnome-libs-1.4.2.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/gnome-base/gnome-libs/gnome-libs-1.4.2.ebuild,v 1.33 2006/07/05 05:36:12 vapier Exp $
+
+inherit eutils libtool multilib autotools flag-o-matic
+
+DESCRIPTION="GNOME Core Libraries"
+HOMEPAGE="http://www.gnome.org/"
+SRC_URI="ftp://ftp.gnome.org/pub/GNOME/sources/${PN}/1.4/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="1"
+KEYWORDS="alpha amd64 arm hppa ia64 mips ppc ppc64 sh sparc x86"
+IUSE="doc esd nls kde"
+
+RDEPEND=">=media-libs/imlib-1.9.10
+ esd? ( >=media-sound/esound-0.2.23 )
+ =gnome-base/orbit-0*
+ =x11-libs/gtk+-1.2*
+ =sys-devel/automake-1.4*
+ =sys-devel/autoconf-2.13*
+ <=sys-libs/db-2
+ doc? ( app-text/docbook-sgml
+ dev-util/gtk-doc )"
+DEPEND="${RDEPEND}
+ nls? ( >=sys-devel/gettext-0.10.40
+ >=dev-util/intltool-0.11 )"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}"/${P}-m4.patch
+ # Correct problems with documentation. See bug #44439.
+ epatch "${FILESDIR}"/${P}-gtkdoc_fixes.patch
+ # Fix compilation with GCC4 ; bug #94321
+ epatch "${FILESDIR}"/${P}-gcc4.patch
+ # Fix compilation with GCC4 on ppc64 ; bug #117750
+ epatch "${FILESDIR}"/${P}-ppc64.patch
+
+ aclocal-1.4
+ automake-1.4
+ autoconf-2.13 || die
+}
+
+src_compile() {
+ append-flags -I/usr/include/db1
+
+ local myconf
+
+ use nls || myconf="${myconf} --disable-nls"
+ use kde && myconf="${myconf} --with-kde-datadir=/usr/share"
+ use doc || myconf="${myconf} --disable-gtk-doc"
+ use esd || export ESD_CONFIG=no
+
+ # libtoolize
+ elibtoolize
+
+ ./configure --host=${CHOST} \
+ --prefix=/usr \
+ --libdir=/usr/$(get_libdir) \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --enable-prefer-db1 \
+ ${myconf} || die
+
+ # gnome-libs does not like parallel building, bug #117644
+ emake -j1 || die
+
+ # do the docs (maby add a use variable or put in seperate
+ # ebuild since it is mostly developer docs?)
+ if use doc ; then
+ cd "${S}"/devel-docs
+ emake || die
+ cd "${S}"
+ fi
+}
+
+src_install() {
+ make prefix="${D}"/usr \
+ libdir="${D}"/usr/$(get_libdir) \
+ mandir="${D}"/usr/share/man \
+ infodir="${D}"/usr/share/info \
+ sysconfdir="${D}"/etc \
+ localstatedir="${D}"/var/lib \
+ docdir="${D}"/usr/share/doc/${PF} \
+ HTML_DIR="${D}"/usr/share/gnome/html \
+ install || die
+
+ rm "${D}"/usr/share/gtkrc*
+
+ dodoc AUTHORS ChangeLog README NEWS HACKING
+}